> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Add list of users to DSGroup

POST https://api-d.docusign.net/Management/v2.1/organizations/{organizationId}/accounts/{accountId}/dsgroups/{dsGroupId}/users
Content-Type: application/json

Adds a list of users to a DSGroup.

[Required authentication scopes](/docs/admin-api/admin101/auth/): `user_write`.

Reference: https://developers.docusign.com/docs/admin-api/reference/usermanagement/multiproductusermanagement/adddsgroupusers

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 Access code Grant

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization ID GUID
- `accountId` (string, required) — The account ID GUID
- `dsGroupId` (string, required) — The DSGroup's GUID.

### Body (application/json)

This endpoint expects a DSGroupUsersAddRequest.

- `user_ids` (list of string, required)

## Response

### 200

OK

- `group` (DSGroupResponse, optional)
- `group_users` (AddDSGroupUsersResponse, optional)

## Types

### DSGroupResponse

- `ds_group_id` (string, optional)
- `account_id` (string, optional) — Select users that are members of the specified account. At least one of `email`, `account_id` or `organization_reserved_domain_id` must be specified.
- `source_product_name` (string, optional)
- `group_id` (string, optional)
- `group_name` (string, optional)
- `description` (string, optional)
- `is_admin` (boolean, optional)
- `last_modified_on` (datetime, optional)
- `user_count` (integer, optional)
- `external_account_id` (long, optional)
- `account_name` (string, optional)
- `is_managed_by_scim` (boolean, optional)

### AddDSGroupUsersResponse

- `is_success` (boolean, optional)
- `users` (list of DSGroupUserResponse, optional) — A list of users.
- `TotalCount` (integer, optional)

### DSGroupUserResponse

- `user_id` (string, optional)
- `account_id` (string, optional) — Select users that are members of the specified account. At least one of `email`, `account_id` or `organization_reserved_domain_id` must be specified.
- `user_name` (string, optional) — The full name of the user.
- `first_name` (string, optional) — The user's first name.
- `last_name` (string, optional) — The user's last name.
- `middle_name` (string, optional)
- `status` (string, optional) — Status.
- `error_details` (ErrorDetails, optional) — Errors.

### ErrorDetails

Errors.

- `error` (string, optional) — The code for the error.
- `error_description` (string, optional) — A description of the error.

## Examples

**Request**

```json
{
  "user_ids": [
    "00000000-0000-0000-0000-000000000000"
  ]
}
```

**Response**

```json
{
  "group": {
    "ds_group_id": "00000000-0000-0000-0000-000000000000",
    "account_id": "00000000-0000-0000-0000-000000000000",
    "source_product_name": "string",
    "group_id": "string",
    "group_name": "string",
    "description": "string",
    "is_admin": true,
    "last_modified_on": "2024-01-15T09:30:00Z",
    "user_count": 1,
    "external_account_id": 1,
    "account_name": "string",
    "is_managed_by_scim": true
  },
  "group_users": {
    "is_success": true,
    "users": [
      {
        "user_id": "00000000-0000-0000-0000-000000000000",
        "account_id": "00000000-0000-0000-0000-000000000000",
        "user_name": "string",
        "first_name": "string",
        "last_name": "string",
        "middle_name": "string",
        "status": "string",
        "error_details": {
          "error": "string",
          "error_description": "string"
        }
      }
    ],
    "TotalCount": 1
  }
}
```